> ## Documentation Index
> Fetch the complete documentation index at: https://docs.itoflow.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get strategy decision history

> Returns decision history with pagination for a specific strategy.

Operation ID: get__paper_trading_strategyId_decisions.



## OpenAPI

````yaml /openapi/itoflow-public.openapi.json get /paper-trading/{strategyId}/decisions
openapi: 3.1.0
info:
  description: >-
    All Itoflow APIs are experimental and may change without notice. Read-only
    operations marked interactive can be tried from the documentation; the
    others are reference-only.
  title: Itoflow Developer API
  version: 1.0.0
servers:
  - description: Itoflow API
    url: https://api.itoflow.ai
security: []
tags:
  - name: Account
  - name: Billing
  - name: Brokers
  - name: Chat
  - name: Connected MCP servers
  - name: GitHub
  - name: Market data
  - name: Monitors
  - name: Notifications
  - name: Portfolios
  - name: Risk runs
  - name: Sharing and data
  - name: Strategies
paths:
  /paper-trading/{strategyId}/decisions:
    get:
      tags:
        - Strategies
      summary: Get strategy decision history
      description: |-
        Returns decision history with pagination for a specific strategy.

        Operation ID: get__paper_trading_strategyId_decisions.
      operationId: get__paper_trading_strategyId_decisions
      parameters:
        - description: Strategy UUID
          in: path
          name: strategyId
          required: true
          schema:
            description: Strategy UUID
            example: 550e8400-e29b-41d4-a716-446655440000
            format: uuid
            type: string
        - description: Max results (1-50, default 10)
          in: query
          name: limit
          required: false
          schema:
            description: Max results (1-50, default 10)
            type: string
        - description: Pagination offset (default 0)
          in: query
          name: offset
          required: false
          schema:
            description: Pagination offset (default 0)
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaperTradingDecisionsResponse'
          description: Strategy decision history
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Invalid strategy id
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Strategy not found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Server error
      security:
        - bearerAuth: []
components:
  schemas:
    PaperTradingDecisionsResponse:
      properties:
        decisions:
          items:
            $ref: '#/components/schemas/PaperTradingDecisionItem'
          type: array
        metadata:
          properties:
            hasMore:
              type: boolean
            limit:
              type: integer
            offset:
              type: integer
            total:
              type: integer
          required:
            - hasMore
            - limit
            - offset
            - total
          type: object
      required:
        - decisions
        - metadata
      type: object
    Error:
      properties:
        available:
          description: Optional available amount or value
          type: string
        billing_action:
          $ref: '#/components/schemas/BillingAction'
        code:
          description: Machine-readable error code
          type: string
        currentVersion:
          description: Current server-side version, when relevant
          type: number
        details:
          description: Optional structured error details
        error:
          description: Error type or code
          type: string
        expectedVersion:
          description: Client-provided expected version, when relevant
          type: number
        message:
          description: Human-readable error message
          type: string
        requested:
          description: Optional requested amount or value
          type: string
        usage:
          description: Optional usage metadata for limit errors
      required:
        - error
      type: object
    PaperTradingDecisionItem:
      properties:
        agentNotes:
          type:
            - string
            - 'null'
        confidence:
          type:
            - number
            - 'null'
        createdAt:
          type: string
        decisionDate:
          type: string
        decisionType:
          type: string
        errorMessage:
          type:
            - string
            - 'null'
        executionStatus:
          type:
            - string
            - 'null'
        id:
          format: uuid
          type: string
        marketOutlook:
          type:
            - string
            - 'null'
        reasoning:
          type:
            - string
            - 'null'
        strategyId:
          format: uuid
          type: string
        structuredDashboard:
          additionalProperties: {}
          type:
            - object
            - 'null'
        targetAllocation:
          additionalProperties: {}
          type:
            - object
            - 'null'
        taskId:
          type:
            - string
            - 'null'
        userInstruction:
          type:
            - string
            - 'null'
      required:
        - agentNotes
        - confidence
        - createdAt
        - decisionDate
        - decisionType
        - errorMessage
        - executionStatus
        - id
        - marketOutlook
        - reasoning
        - strategyId
        - structuredDashboard
        - targetAllocation
        - taskId
        - userInstruction
      type: object
    BillingAction:
      description: Action that resolves a billing-related rejection
      properties:
        href:
          type: string
        kind:
          enum:
            - upgrade
            - payment_method
            - spending_cap
            - billing
          type: string
        label:
          type: string
      required:
        - href
        - label
        - kind
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: Itoflow access token issued for the Itoflow API.
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.